Skip to navigation

Get Interaction Counts Of Agent

Retrieves interaction count histories and all-time interaction counts of the agent

Path parameters

addressstringRequired
The address of the agent

Query parameters

contractenumOptionalDefaults to testnet

The Almanac contract where the agent is registered (testnet by default)

Allowed values:

Response

Successful Response
addressstringformat: "^agent1[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}$"
The address of the agent
intervallist of integers

the number of on_interval interactions for each day

messagelist of integers

the number of on_message interactions for each day

totallist of integers

the sum of on_interval and on_message interaction counts for each day

num_all_time_interactionsobject

number of on_interval, on_message and total (sum of on_interval and on_message) interactions

contractenumOptionalDefaults to testnet
The Almanac contract where the agent is registered
Allowed values:

Errors

422
Unprocessable Entity Error